summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--build-pkg-deb10
1 files changed, 10 insertions, 0 deletions
diff --git a/build-pkg-deb b/build-pkg-deb
index c5959c0..4437149 100644
--- a/build-pkg-deb
+++ b/build-pkg-deb
@@ -48,6 +48,16 @@ deb_setup() {
:>> $BUILD_ROOT/var/lib/dpkg/available
:>> $BUILD_ROOT/var/log/dpkg.log
:>> $BUILD_ROOT/etc/ld.so.conf
+
+ # Install a policy so that services are not started. See
+ # https://manpages.debian.org/unstable/init-system-helpers/invoke-rc.d.8.en.html
+ # for details.
+ mkdir -p $BUILD_ROOT/usr/sbin
+ cat > $BUILD_ROOT/usr/sbin/policy-rc.d <<EOF
+#!/bin/sh
+exit 101
+EOF
+ chmod 755 $BUILD_ROOT/usr/sbin/policy-rc.d
}
pkg_initdb_deb() {